gsw_specvol_first_derivatives {gsw} | R Documentation

## First Derivatives of Specific Volume

### Description

First Derivatives of Specific Volume

### Usage

    gsw_specvol_first_derivatives(SA, CT, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

A list containing `v_SA` [ (m^3/kg)/(g/kg) ], the derivative of specific volume with respect to Absolute Salinity, `v_CT` [ (m^3/kg)/degC], the derivative of specific volume with respect to Conservative Temperature, and `v_p` [ (m^3/kg)/dbar ], the derivative of specific volume with respect to pressure. (Note that the last quantity is denoted `v_P` in the documentation for the Matlab function.)

### References

http://www.teos-10.org/pubs/gsw/html/gsw_specvol_first_derivatives.html

### See Also

Other things related to enthalpy: `gsw_CT_from_enthalpy`, `gsw_dynamic_enthalpy`, `gsw_enthalpy_CT_exact`, `gsw_enthalpy_diff`, `gsw_enthalpy_first_derivatives_CT_exact`, `gsw_enthalpy_first_derivatives`, `gsw_enthalpy_ice`, `gsw_enthalpy_t_exact`, `gsw_enthalpy`, `gsw_frazil_properties_potential_poly`, `gsw_frazil_properties_potential`, `gsw_pot_enthalpy_from_pt_ice_poly`, `gsw_pot_enthalpy_from_pt_ice`, `gsw_pot_enthalpy_ice_freezing_poly`, `gsw_pot_enthalpy_ice_freezing`, `gsw_pt_from_pot_enthalpy_ice_poly`, `gsw_pt_from_pot_enthalpy_ice`, `gsw_specvol_first_derivatives_wrt_enthalpy`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.8099, 28.4392, 22.7862, 10.2262,  6.8272,  4.3236)
    p <- c(      10,      50,     125,     250,     600,    1000)
    r <- gsw_specvol_first_derivatives(SA, CT, p)
    expect_equal(r$v_SA/1e-6, c(-0.702149096451073, -0.702018847212088, -0.708895319156155,
                              -0.730208155560782, -0.733175729406169, -0.733574625737474))
    expect_equal(r$v_CT/1e-6, c(0.317700378655437, 0.315628863649601, 0.274441877830800,
                              0.168516613901993, 0.142051181824820, 0.125401683814057))
    expect_equal(r$v_p/1e-12, c(-0.402527990904794, -0.402146232553089, -0.406663124765787,
                              -0.423877042622481, -0.426198431093548, -0.426390351853055))

[Package gsw version 1.0-5 Index]